<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAppServerInfoReq StructType
 * @subpackage Structs
 */
class AddAppServerInfoReq extends APIRequest
{
    /**
     * The appServerInfo
     * @var XAppServerInfo
     */
    public $appServerInfo;
    /**
     * Constructor method for AddAppServerInfoReq
     * @uses AddAppServerInfoReq::setAppServerInfo()
     * @param XAppServerInfo $appServerInfo
     */
    public function __construct(XAppServerInfo $appServerInfo = null)
    {
        $this
            ->setAppServerInfo($appServerInfo);
    }
    /**
     * Get appServerInfo value
     * @return XAppServerInfo|null
     */
    public function getAppServerInfo()
    {
        return $this->appServerInfo;
    }
    /**
     * Set appServerInfo value
     * @param XAppServerInfo $appServerInfo
     * @return AddAppServerInfoReq
     */
    public function setAppServerInfo(XAppServerInfo $appServerInfo = null)
    {
        $this->appServerInfo = $appServerInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAppServerInfoReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
